/*
 * jQuery T.C Kimlik No validate extension for the jQuery Validation plugin. 
 *
 * Author: Ismail Ata Kurt 
 *
 * Version 1.0.0 (12/23/2009)
 * Tested with jquery 1.3.2, but will probably work with earlier versions.
 *
 * Visit http://blog.livaxmedia.com/2009/12/23/jquery-ile-tc-kimlik-no-dogrulama/ for usage information
 *
 * Licensed under GPL license:
 *   http://www.gnu.org/licenses/gpl.html
*/
jQuery.validator.addMethod("tcno",function(value, element, param) {
     var tcno = value;
     var od=0,ed=0,ad=0,h1=0,h2=0;
     if (tcno.charAt(0)==0||tcno.length!=11) return false;
     
     h1 = parseInt(tcno.charAt(9),10);
     h2 = parseInt(tcno.charAt(10),10);
              
     for(i=0;i<9;i++) {
        cd = parseInt(tcno.charAt(i),10);
        (i%2==0)?od+=cd:ed+=cd;         
        ad+=cd;
     }
          
     return (((((7*od)-ed)%10)==h1)&&((ad+h1)%10==h2))?true:false;  
},'Lütfen geçerli bir T.C Kimlik No girin.');

